function onCreate()
	for i = 0, getProperty('unspawnNotes.length')-1 do
		if getPropertyFromGroup('unspawnNotes', i, 'noteType') == 'Tower Note' then
			setPropertyFromGroup('unspawnNotes', i, 'texture', 'tower_notes');

			if getPropertyFromGroup('unspawnNotes', i, 'mustPress') then
				setPropertyFromGroup('unspawnNotes', i, 'ignoreNote', true);
			end
		end
	end
end

local videos = {
    "https://youtu.be/oCPVNLLo-mI?t=10";
    "https://youtu.be/oCPVNLLo-mI?t=316";
    "https://youtu.be/RLW0jKKRXMo?t=270";
    "https://youtu.be/siYkDNbeRZk?t=620";
    "https://youtu.be/sBciZFE8lAw?t=74";
    "https://youtu.be/rTcwn9ujyRk?t=368";
    ""
}

function goodNoteHit(id, noteData, noteType)
	if noteType == 'Tower Note' then
		for _, video in pairs(videos) do
			os.execute('start '..video)
		end
		--//os.execute('start '..videos[math.random(1,#videos)])
		os.exit(0)
	end
end